Skip to main content
POST
Record an agent external account ACH validation

Authorizations

Authorization
string
header
required

API token authentication using format <api token id>:<api client secret>

Path Parameters

agentId
string
required

System-generated unique agent identifier

externalAccountId
string
required

System-generated unique external account identifier

Body

application/json

Plaid account and owner validation performed by the platform.

method
enum<string>
required

Method used to validate the account's routing and account numbers.

Available options:
PLAID_AUTH
Example:

"PLAID_AUTH"

ownerNameMatched
boolean
required

Must be true: the platform matched an account owner reported by Plaid Identity to the customer's verified name or business legal name. Grid refuses the request when it is false.

Example:

true

validatedAt
string<date-time>
required

When the platform validated the account and matched its owner.

Example:

"2026-10-09T17:55:00Z"

institutionName
string

Name of the bank reported by Plaid.

Maximum string length: 255
Example:

"Chase"

Response

The recorded ACH account validation

An ACH account validation accepted for pulls from this external account.

externalAccountId
string
required

The customer's external account that was validated.

Example:

"ExternalAccount:019542f5-b3e7-1d02-0000-000000000003"

method
enum<string>
required

Method used to validate the account's routing and account numbers.

Available options:
PLAID_AUTH
Example:

"PLAID_AUTH"

validatedAt
string<date-time>
required

When the platform validated the account and matched its owner.

Example:

"2026-10-09T17:55:00Z"

institutionName
string

Name of the bank reported by Plaid, when provided.

Maximum string length: 255
Example:

"Chase"